dubbo2.5.3怎么兼容spring3.2.0?

最近公司把应用做了水平拆分,之间的通信想使用thrift,我本来是推荐dubbo的,可是dubbo本身使用spring2.5.6.SEC03,我们的平台使用的spring3.2.0

如果使用dubbo版本的spring会导致我们平台使用的org.springframework.jdbc.core.RowMapper全部出错,因为spring2.5.6.SEC03里

public interface RowMapper {
java.lang.Object mapRow(java.sql.ResultSet resultSet, int i) throws java.sql.SQLException;
}

而spring3里
public interface RowMapper {
T mapRow(java.sql.ResultSet resultSet, int i) throws java.sql.SQLException;
}

想请问各种大神,有没有解决方法

3个回答

我没碰到你的产问题,
我用的是spring4.1
dubbo2.5.3一切正常啊,用的乐合的呢,

t2xingzhe
t2xingzhe 原来不是spring3不兼容的问题,好像是由于我使用注解的方式注册一个服务化接口导致的,写到配置文件里就正常了,郁闷
大约 5 年之前 回复

:D :D :D :D :D

楼主问题解决了吗?怎么解决的?我也遇到这个问题了。。

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!